#define __cplusplus__
#ifndef __EMALGO__
#define __EMALGO__

#include<iostream>
#include<istream>
#include<fstream>
#include<string>
#include<vector>
#include<sstream>
#include <cmath>

#include <Mixture_Algo.hpp>

using namespace std;


/*! \class EM_Algorithm
 *  \brief A class representing a standard EM algorithm.
 *  \author Lemine Abdallahi
 *  \date    Aug. 2005


*/

class EM_Algorithm : public Mixture_Algorithm{


public :

  /// Constructor
  EM_Algorithm(IID_Mixture *mod, Spatial_Data *spatd );  
  /// Desctructor
  ~EM_Algorithm();

  void Compute_fuzzy(uint i,vector<double> &probs);
  
};


#endif
