#define __cplusplus__
#ifndef __CEMALGO__
#define __CEMALGO__

#include<iostream>
#include<istream>
#include<fstream>
#include<string>
#include<vector>
#include<sstream>
#include <cmath>

#include <Mixture_Algo.hpp>

using namespace std;


/*! \class CEM_Algorithm
 *  \brief A class representing a CEM algorithm.
 *  \author Lemine Abdallahi
 *  \date    Aug. 2005

 Abstract class.

*/

class CEM_Algorithm : public Mixture_Algorithm{
  

public :

  /// constructor.
  CEM_Algorithm(IID_Mixture *mod, Spatial_Data *spatd);  
  ~CEM_Algorithm();

	void Compute_fuzzy(uint i,vector<double> &probs);  
};


#endif
